## python-apischema 0.18.3

=== benchmark/requirements.txt ===
cattrs==23.1.2
marshmallow==3.20.1
mashumaro==3.10
matplotlib==3.8.0
pandas==2.1.1
pydantic==2.4.2
typedload==2.26
pyserde==0.12.3

=== docs/requirements.txt ===
markdown-include==0.8.1
mike==1.1.2
mkdocs-exclude==1.0.2
mkdocs-material==9.4.6

=== scripts/requirements.txt ===
Cython==3.0.11
setuptools==75.1.0;python_version>="3.12"

=== tests/requirements.txt ===
graphql-core==3.2.4
attrs==22.1.0
bson==0.5.10
docstring-parser==0.16
pydantic==1.10.18
pytest==7.4.2
pytest-cov==4.0.0
pytest-asyncio==0.20.3
SQLAlchemy==1.4.45
typing-extensions==4.8.0;python_version>="3.8"
typing-extensions==4.7.1;python_version<"3.8"

=== debian/changelog ===
python-apischema (0.18.3-2) unstable; urgency=medium

  * Team upload.
  * d/patches/pytest-8.4.patch: Fix deprecated pytest imports
    Thanks Alexandre Detiste! (Closes: #1112474)

 -- Tianyu Chen <billchenchina2001@gmail.com>  Sat, 30 Aug 2025 05:04:13 +0800

python-apischema (0.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 11 Oct 2024 12:01:01 +0100

python-apischema (0.18.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Sep 2024 10:50:10 +0100

python-apischema (0.18.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1080023)

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 17:40:34 +0100

=== debian/control ===
Source: python-apischema
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-graphql-core <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/wyfo/apischema
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-apischema
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-apischema.git

Package: python3-apischema
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: JSON serialization and deserialization, GraphQL and JSON schema generation
 Provides JSON serialization and deserialization, GraphQL schema generation,
 and JSON schema generation using Python typing. This library simplifies
 working with API data by leveraging standard Python features such as
 dataclasses and typing. It supports a wide range of data types and is
 adaptable to different use cases. With automatic schema generation, it helps
 to validate and serialize data seamlessly. The library also includes
 integrated support for GraphQL, making it versatile for various API
 implementations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=apischema
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf apischema.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-graphql-core,
 python3-pytest,
 python3-pytest-asyncio,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-apischema-$1\.tar\.gz/ \
  https://github.com/wyfo/apischema/tags .*/v?(\d\S+)\.tar\.gz
